curl --request GET \
--url https://api.sellauth.com/v1/shops/{shopId}/feedbacks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"page": 1,
"perPage": null,
"orderColumn": null,
"orderDirection": null,
"id": null,
"statuses": null,
"invoice_id": null,
"rating": null,
"invoice_email": null,
"message_keyword": null,
"is_automatic": null,
"created_at_start": null,
"created_at_end": null,
"reply_keyword": null,
"has_reply": null,
"product_name": null,
"variant_name": null,
"product_id": null,
"variant_id": null
}
'import requests
url = "https://api.sellauth.com/v1/shops/{shopId}/feedbacks"
payload = {
"page": 1,
"perPage": None,
"orderColumn": None,
"orderDirection": None,
"id": None,
"statuses": None,
"invoice_id": None,
"rating": None,
"invoice_email": None,
"message_keyword": None,
"is_automatic": None,
"created_at_start": None,
"created_at_end": None,
"reply_keyword": None,
"has_reply": None,
"product_name": None,
"variant_name": None,
"product_id": None,
"variant_id": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
page: 1,
perPage: null,
orderColumn: null,
orderDirection: null,
id: null,
statuses: null,
invoice_id: null,
rating: null,
invoice_email: null,
message_keyword: null,
is_automatic: null,
created_at_start: null,
created_at_end: null,
reply_keyword: null,
has_reply: null,
product_name: null,
variant_name: null,
product_id: null,
variant_id: null
})
};
fetch('https://api.sellauth.com/v1/shops/{shopId}/feedbacks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"current_page": 1,
"data": [
{
"id": 1,
"invoice_id": 1,
"status": "published",
"message": "Great product, instant delivery.",
"image": null,
"rating": 5,
"is_automatic": false,
"reply": null,
"dispute_reason": null,
"disputed_at": null,
"replied_at": null,
"created_at": "2026-09-20T15:56:24.000000Z",
"updated_at": "2026-09-20T15:56:24.000000Z",
"deleted_at": null,
"image_url": null,
"invoice": {
"id": 1,
"salt": "0c1cbccc9036b",
"email": "customer@sellauth.test",
"unique_id": "0c1cbccc9036b-0000000000001",
"items": [
{
"id": 1,
"invoice_id": 1,
"product_id": 1,
"variant_id": 1,
"custom_name": null,
"product": {
"id": 1,
"name": "License Keys",
"stock_count": 0
},
"variant": {
"id": 1,
"name": "Standard"
}
}
]
}
}
],
"first_page_url": "http://api.sellauth.test/v1/shops/1/feedbacks?page=1",
"from": 1,
"last_page": 1,
"last_page_url": "http://api.sellauth.test/v1/shops/1/feedbacks?page=1",
"links": [
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "http://api.sellauth.test/v1/shops/1/feedbacks?page=1",
"label": "1",
"active": true
},
{
"url": null,
"label": "Next »",
"active": false
}
],
"next_page_url": null,
"path": "http://api.sellauth.test/v1/shops/1/feedbacks",
"per_page": 20,
"prev_page_url": null,
"to": 1,
"total": 1
}Get Feedbacks
Retrieves the feedbacks.
Authorizations
You can retrieve your API key from your dashboard under Account > Developers.
Path Parameters
The shop ID.
Body
Page number.
1
Items per page, 1-100. Must be at least 1. Must not be greater than 100.
null
status, rating, reply, created_at, updated_at null
asc, desc null
Filter by feedback ID.
null
null
Filter by invoice ID.
null
Filter by rating, 1-5. Must be at least 1. Must not be greater than 5.
null
Filter by customer email.
null
Search in feedback messages.
null
Only automatic feedbacks.
null
Must be a valid date.
null
Must be a valid date. Must be a date after created_at_start.
null
Search in replies.
null
Only feedbacks with a reply.
null
null
null
null
null
Response
1
Show child attributes
Show child attributes
[
{
"id": 1,
"invoice_id": 1,
"status": "published",
"message": "Great product, instant delivery.",
"image": null,
"rating": 5,
"is_automatic": false,
"reply": null,
"dispute_reason": null,
"disputed_at": null,
"replied_at": null,
"created_at": "2026-09-20T15:56:24.000000Z",
"updated_at": "2026-09-20T15:56:24.000000Z",
"deleted_at": null,
"image_url": null,
"invoice": {
"id": 1,
"salt": "0c1cbccc9036b",
"email": "customer@sellauth.test",
"unique_id": "0c1cbccc9036b-0000000000001",
"items": [
{
"id": 1,
"invoice_id": 1,
"product_id": 1,
"variant_id": 1,
"custom_name": null,
"product": {
"id": 1,
"name": "License Keys",
"stock_count": 0
},
"variant": { "id": 1, "name": "Standard" }
}
]
}
}
]
"http://api.sellauth.test/v1/shops/1/feedbacks?page=1"
1
1
"http://api.sellauth.test/v1/shops/1/feedbacks?page=1"
Show child attributes
Show child attributes
[
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "http://api.sellauth.test/v1/shops/1/feedbacks?page=1",
"label": "1",
"active": true
},
{
"url": null,
"label": "Next »",
"active": false
}
]
null
"http://api.sellauth.test/v1/shops/1/feedbacks"
20
null
1
1